Clementine ne jouera pas .wma, avec l'erreur "Votre installation de GStreamer manque un plugin"

33

Voici une capture d'écran:

Il affiche des messages comme: "Clémentine s'est arrêtée". ou affiche des morceaux qui ne sont pas en cours de lecture et l'icône disparaît et réapparaît. Est-ce que cela n'arrive qu'à moi, ou est-ce que c'est un bogue courant en 14.04? Je nettoie installé 14.04, et en 13.10 clémentine a bien fonctionné. Des idées? J'ai installé ubuntu-restricted-extras .

Edit1: J'ai redémarré l'ordinateur et le thème a changé:

Edit2: Je viens juste de comprendre que clementine ne lira pas les fichiers .wma, et que les erreurs commencent à apparaître.

Edit3: VLC et le lecteur ubuntu par défaut jouent .wma sans problèmes. S'il vous plaît aider!

    
posée Dusan Milosevic 27.04.2014 - 00:53
la source

4 réponses

50

14.04 et ultérieur

J'ai vérifié les dépendances clementine 1.2.x et je peux confirmer que cela nécessite les plugins gstreamer 0.10 et depuis wma le support est fourni par le plug-in ffmpeg dont vous avez besoin pour configurer le PPA suivant pour permettre la prise en charge de WMA pour les versions 14.04 et ultérieures:

sudo add-apt-repository ppa:mc3man/gstffmpeg-keep
sudo apt-get update
sudo apt-get install gstreamer0.10-ffmpeg
    
réponse donnée Sylvain Pineau 27.04.2014 - 10:46
la source
4

Au fait, dans mon Ubuntu 14.04 (mis à jour à partir de 13.10), il semble qu'il n'y ait pas de apt-add-repository

sudo apt-get install software-properties-common

Maintenant, oui, vous pouvez installer gstreamer0.10-ffmpeg en tant que # 1 dit:

sudo apt-add-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install gstreamer0.10-ffmpeg
    
réponse donnée user275739 29.04.2014 - 10:09
la source
2

Je recevais cette erreur sur 14.04 LTS lorsque je tentais de diffuser une source Internet. C'est ce qui a résolu l'erreur pour moi:

sudo apt-get install gstreamer1.0-libav
    
réponse donnée friederbluemle 25.05.2015 - 21:27
la source
1

J'ai eu le même problème avec Clémentine et Ubuntu 16.04, bien que tout fonctionnait bien avant mais soudainement, les chansons de m4a ont cessé de fonctionner.

J'ouvre un seul fichier en utilisant l'application vidéo ubuntu par défaut, il m'invite à installer gstreamer1.0-plugins-bad-faad

alors que cette commande peut vous aider là-bas

$ sudo apt install gstreamer1.0-plugins-bad-faad

    
réponse donnée Adham Saad 14.02.2017 - 11:18
la source

Lire d'autres questions sur les étiquettes